#include <M5StickC.h>

void setup() {
  M5.begin();
}

void loop() {
  //ボタン操作の状況を読み込みます
  M5.update();
  //カーソル位置をx:0 y:0に移動します。
  M5.Lcd.setCursor(0, 0);
  //文字サイズを変更します
  M5.Lcd.setTextSize(2);

  //ボタンA（本体正面のボタン）が押されたとき
  if (M5.BtnA.wasReleased()) {
    //液晶を赤色にします
    M5.Lcd.fillScreen(RED);
    //液晶に"red"という文字を表示します
    M5.Lcd.print("red");
    //ボタンB（本体右側面）が押されたとき
  } else if (M5.BtnB.wasReleased()) {
    //液晶を緑色にします
    M5.Lcd.fillScreen(GREEN);
    //"green"という文字を表示します
    M5.Lcd.print("green");
    //ボタンB（本体右側面）が長押し（700ミリ秒）されたとき
  } else if (M5.BtnB.wasReleasefor(700)) {
    //液晶を黒色にします
    M5.Lcd.fillScreen(BLACK);
  }
}
